Minimum System Requirements

An analysis of your system has taken place below.  This is to make sure your computer meets the minimum technical standards to play our e-learning.

Your operating system does not meet the requirement!

Recommended operating systems:

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows 8
  • Windows 8.1
  • Windows 10
  • Mac OS X
  • Linux

Your web browser is not supported!

Please try using any of the following web browsers:

  • Internet Explorer 9+
  • Microsoft Edge
  • Firefox 25+
  • Chrome 30+
  • Opera 12+
  • Safari 6+

If your computer and web browser meet the minimum requirements for our E-Learning, then the boxes above will be green.  This means you can continue to use our E-Learning.

Enter Our Learning Management System

If your systems or browsers do not match the minimum requirements, then please upgrade them or contact whoever manages your IT.